### Method

# Gio Resolver set_default

since: 2.22

#### Declaration [src]

    void
    g_resolver_set_default (
      GResolver* resolver
    )

#### Description [src]

Sets `resolver` to be the application’s default resolver (reffing `resolver`, and unreffing the previous default resolver, if any). Future calls to `g_resolver_get_default()` will return this resolver.

This can be used if an application wants to perform any sort of DNS caching or “pinning”; it can implement its own `GResolver` that calls the original default resolver for DNS operations, and implements its own cache policies on top of that, and then set itself as the default resolver for all later code to use.

Available since: 2.22